## lomiri-mediaplayer-app 1.0.1+dfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(mediaplayer-app VERSION 1.0.1 LANGUAGES CXX)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(DESKTOP_FILE mediaplayer-app.desktop)

# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)

find_package(Gettext REQUIRED)

string(TOLOWER "${CMAKE_BUILD_TYPE}" cmake_build_type_lower)

include(EnableCoverageReport)
#####################################################################
# Enable code coverage calculation with gcov/gcovr/lcov
# Usage:
#  * Switch build type to coverage (use ccmake or cmake-gui)
#  * Invoke make, make test, make coverage (or ninja if you use that backend)
#  * Find html report in subdir coveragereport
#  * Find xml report feasible for jenkins in coverage.xml
#####################################################################
if(cmake_build_type_lower MATCHES coverage)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} --coverage" )
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} --coverage" )
    set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} --coverage" )
    set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} --coverage" )
    ENABLE_COVERAGE_REPORT(TARGETS ${SHELL_APP})
endif()
find_package(Qt5 COMPONENTS Gui Widgets Core Qml Quick Multimedia REQUIRED)

# Standard install paths
include(GNUInstallDirs)

set(MEDIAPLAYER_DIR ${CMAKE_INSTALL_FULL_DATADIR}/mediaplayer-app)

# for dh_translations to extract the domain
# (regarding syntax consistency, see http://pad.lv/1181187)
set (GETTEXT_PACKAGE "mediaplayer-app")

# Tests
option(USE_XVFB "Use XVFB to run qml tests" on)
enable_testing()

add_subdirectory(data)
add_subdirectory(src)
add_subdirectory(tests)
add_subdirectory(po)

configure_file(config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h @ONLY)

=== tests/CMakeLists.txt ===
add_subdirectory(videos)
add_subdirectory(images)
add_subdirectory(autopilot)
add_subdirectory(unittest)

=== debian/changelog ===
lomiri-mediaplayer-app (1.0.1+dfsg-1) unstable; urgency=medium

  * New upstream release. Upload to unstable.
  * debian/watch:
    + Start watching upstream releases.
  * debian/copyright:
    + Add upstream's debian/ folder to Files-Excluded.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 04 Feb 2023 22:31:57 +0100

lomiri-mediaplayer-app (1.0.0+git20230125.043a1ef+dfsg-1) experimental; urgency=medium

  * Initial upload to Debian. (Closes: #1030368).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 18 Jan 2023 13:05:30 +0100

## lomiri-mediaplayer-app 1.0.2%2Bdfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(mediaplayer-app VERSION 1.0.1 LANGUAGES CXX)
+project(mediaplayer-app VERSION 1.0.2 LANGUAGES CXX)
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 
 # Find includes in corresponding build directories

## lomiri-mediaplayer-app 1.0.2+dfsg

=== src/CMakeLists.txt ===
project(mediaplayer_src)

set(MEDIAPLAYER mediaplayer-app)

include_directories(
    ${CMAKE_BINARY_DIR}
    ${sdkhelper_SOURCE_DIR}
    )

set(SRC
    mediaplayer.cpp
    mediaplayer.h
    main.cpp)

add_executable(${MEDIAPLAYER} ${SRC})

target_link_libraries(${MEDIAPLAYER}
    Qt5::Gui
    Qt5::Widgets
    Qt5::Core
    Qt5::Qml
    Qt5::Quick
    )

install(TARGETS ${MEDIAPLAYER}
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    )

set(QML_DIR qml)

install(DIRECTORY ${QML_DIR}
    DESTINATION ${MEDIAPLAYER_DIR}
    )

add_subdirectory(qml)

=== debian/changelog ===
lomiri-mediaplayer-app (1.0.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Translation updates.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 27 Feb 2023 20:24:05 +0100

=== debian/control ===
Source: lomiri-mediaplayer-app
Section: video
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
           Marius Gripsgard <marius@ubports.com>,
Build-Depends: cmake,
               debhelper-compat (= 13),
               libgl-dev,
               libgles2-mesa-dev,
               pkg-config,
               python3:any,
               qtbase5-dev,
               qtdeclarative5-dev,
               qtmultimedia5-dev,
# The following deps are all needed for unit tests
               libqt5multimedia5-plugins,
               qml-module-lomiri-components,
               qml-module-lomiri-test,
               qml-module-qtmultimedia | qml-module-qtmultimedia-gles,
               qml-module-qttest,
               qml-module-qtquick-xmllistmodel,
               qtdeclarative5-dev-tools,
               xauth,
               xvfb,
               gstreamer1.0-plugins-base,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/development/core/mediaplayer-app
Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-mediaplayer-app.git
Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-mediaplayer-app

Package: lomiri-mediaplayer-app
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         lomiri-mediaplayer-app-common (>= ${source:Version}),
         qml-module-lomiri-action,
         qml-module-lomiri-content,
         qml-module-lomiri-components,
         qml-module-qtmultimedia,
         qml-module-qtquick-window2,
         qml-module-qtquick-xmllistmodel,
Recommends: libqt5multimedia5-plugins,
Description: Media Player App for Lomiri Operating Environment
 This app is a core app for Ubuntu Touch's shell Lomiri. Ubuntu Touch is
 a mobile OS developed by the UBports Foundation. Lomiri is its operating
 environment optimized for touch based human-machine interaction, but
 also supports convergence (i.e. switching between tablet/phone and
 desktop mode).
 .
 This package provides Lomiri's Media Player App capable of playing a
 variety of audio and video formats both on mobile devices and desktop
 computers.

Package: lomiri-mediaplayer-app-common
Architecture: all
Depends: ${misc:Depends},
Description: Media Player App for Lomiri Operating Environment (common files)
 This app is a core app for Ubuntu Touch's shell Lomiri. Ubuntu Touch is
 a mobile OS developed by the UBports Foundation. Lomiri is its operating
 environment optimized for touch based human-machine interaction, but
 also supports convergence (i.e. switching between tablet/phone and
 desktop mode).
 .
 This package provides Lomiri's Media Player App capable of playing a
 variety of audio and video formats both on mobile devices and desktop
 computers.
 .
 This package contains architecture independent files of the Lomiri
 Media Player App.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DPKG_GENSYMBOLS_CHECK_LEVEL=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_missing:
	dh_missing --fail-missing

override_dh_install:
	rm debian/tmp/usr/share/mediaplayer-app/qml/CMakeLists.txt
	dh_install

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## lomiri-mediaplayer-app 1.0.4%2Bdfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(mediaplayer-app VERSION 1.0.2 LANGUAGES CXX)
+project(mediaplayer-app VERSION 1.0.4 LANGUAGES CXX)
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 
 # Find includes in corresponding build directories

=== tests/videos/CMakeLists.txt ===
project(sample_videos)

set(MEDIAPLAYER_TEST_VIDEOS small.ogg small.wmv h264.avi)

install(FILES ${MEDIAPLAYER_TEST_VIDEOS}
    DESTINATION ${CMAKE_INSTALL_DATADIR}/mediaplayer-app/videos
    )

## lomiri-mediaplayer-app 1.0.4+dfsg

=== data/CMakeLists.txt ===
set(MEDIAPLAYER_APP_ICON mediaplayer-app.png)
set(MEDIAPLAYER_APP_SPLASH mediaplayer-app-splash.svg)
set(MEDIAPLAYER_APP_SYMBOLIC_ICON mediaplayer-app-symbolic.svg)
set(MEDIAPLAYER_URL_DISPATCHER mediaplayer-app.url-dispatcher)
set(MEDIAPLAYER_CONTENT_HUB mediaplayer-app-content.json)

configure_file(${DESKTOP_FILE}.in.in ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}.in)
add_custom_target(${DESKTOP_FILE} ALL
    COMMENT "Merging translations into ${DESKTOP_FILE}"
    COMMAND ${GETTEXT_MSGFMT_EXECUTABLE}
            --desktop --template=${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}.in
            -o ${DESKTOP_FILE}
            -d ${CMAKE_SOURCE_DIR}/po
)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}
        DESTINATION ${CMAKE_INSTALL_DATADIR}/applications
)

install(FILES ${MEDIAPLAYER_APP_ICON} ${MEDIAPLAYER_APP_SPLASH} ${MEDIAPLAYER_APP_SYMBOLIC_ICON}
        DESTINATION ${MEDIAPLAYER_DIR}
)

install(FILES ${MEDIAPLAYER_URL_DISPATCHER}
        DESTINATION ${CMAKE_INSTALL_DATADIR}/lomiri-url-dispatcher/urls
)

install(FILES ${MEDIAPLAYER_CONTENT_HUB}
        DESTINATION ${CMAKE_INSTALL_DATADIR}/content-hub/peers
        RENAME mediaplayer-app)

=== debian/changelog ===
lomiri-mediaplayer-app (1.0.4+dfsg-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:51:03 +1100

lomiri-mediaplayer-app (1.0.4+dfsg-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:45:22 +0000

lomiri-mediaplayer-app (1.0.4+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update copyright attribution for debian/.
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/source/lintian-overrides:
    + Drop very-long-line-length override for tests/videos/h264.avi.
      Lintian stopped complaining about that.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 Feb 2024 11:28:31 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: lomiri-mediaplayer-app
 Section: video
 Priority: optional
-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>,
            Marius Gripsgard <marius@ubports.com>,
 Build-Depends: cmake,

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg, dversionmangle=s/\+dfsg//" \
https://gitlab.com/ubports/development/core/mediaplayer-app/tags .*/mediaplayer-app-(\d\S+)\.tar\.gz

## lomiri-mediaplayer-app 1.1.0%2Bdfsg

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(mediaplayer_src)
 
-set(MEDIAPLAYER mediaplayer-app)
+set(MEDIAPLAYER lomiri-mediaplayer-app)
 
 include_directories(
     ${CMAKE_BINARY_DIR}

=== tests/unittest/CMakeLists.txt ===
add_definitions(-DTEST_SUITE)

if(NOT CTEST_TESTING_TIMEOUT)
    set(CTEST_TESTING_TIMEOUT 60)
endif()

find_program(QMLTESTRUNNER_BIN
    NAMES qmltestrunner
    PATHS /usr/lib/*/qt5/bin
    NO_DEFAULT_PATH
)

find_program(XVFB_RUN_BIN
    NAMES xvfb-run
)

macro(DECLARE_QML_TEST TST_NAME TST_QML_FILE)
    if(USE_XVFB)
        set(COMMAND_PREFIX ${XVFB_RUN_BIN} -a -s "-screen 0 1024x768x24")
    else()
        set(COMMAND_PREFIX "")
    endif()
    add_test(NAME ${TST_NAME}
        WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
        COMMAND ${COMMAND_PREFIX} ${QMLTESTRUNNER_BIN} -input ${CMAKE_CURRENT_SOURCE_DIR}/${TST_QML_FILE}
    )
endmacro()

if(QMLTESTRUNNER_BIN AND XVFB_RUN_BIN)
    declare_qml_test("video_player" tst_video_player.qml)
else()
    if (NOT QMLTESTRUNNER_BIN)
        message(WARNING "Qml tests disabled: qmltestrunner not found")
    else()
        message(WARNING "Qml tests disabled: xvfb-run not found")
    endif()
endif()

## lomiri-mediaplayer-app 1.1.0+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.5)
-project(mediaplayer-app VERSION 1.0.4 LANGUAGES CXX)
+project(lomiri-mediaplayer-app VERSION 1.1.0 LANGUAGES CXX)
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 
 # Find includes in corresponding build directories
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
-set(DESKTOP_FILE mediaplayer-app.desktop)
+set(DESKTOP_FILE lomiri-mediaplayer-app.desktop)
 
 # Instruct CMake to run moc automatically when needed.
 set(CMAKE_AUTOMOC ON)
@@ -34,14 +34,15 @@
 # Standard install paths
 include(GNUInstallDirs)
 
-set(MEDIAPLAYER_DIR ${CMAKE_INSTALL_FULL_DATADIR}/mediaplayer-app)
+set(MEDIAPLAYER_DIR ${CMAKE_INSTALL_FULL_DATADIR}/lomiri-mediaplayer-app)
 
 # for dh_translations to extract the domain
 # (regarding syntax consistency, see http://pad.lv/1181187)
-set (GETTEXT_PACKAGE "mediaplayer-app")
+set (GETTEXT_PACKAGE "lomiri-mediaplayer-app")
 
 # Tests
 option(USE_XVFB "Use XVFB to run qml tests" on)
+option(ENABLE_AUTOPILOT "Build autopilot tests" off)
 enable_testing()
 
 add_subdirectory(data)

=== data/CMakeLists.txt ===
set(LOMIRI_MEDIAPLAYER_APP_ICON lomiri-mediaplayer-app.png)
set(LOMIRI_MEDIAPLAYER_APP_SPLASH lomiri-mediaplayer-app-splash.svg)
set(LOMIRI_MEDIAPLAYER_APP_SYMBOLIC_ICON lomiri-mediaplayer-app-symbolic.svg)
set(LOMIRI_MEDIAPLAYER_URL_DISPATCHER lomiri-mediaplayer-app.url-dispatcher)
set(LOMIRI_MEDIAPLAYER_CONTENT_HUB lomiri-mediaplayer-app-content.json)

configure_file(${DESKTOP_FILE}.in.in ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}.in)
add_custom_target(${DESKTOP_FILE} ALL
    COMMENT "Merging translations into ${DESKTOP_FILE}"
    COMMAND ${GETTEXT_MSGFMT_EXECUTABLE}
            --desktop --template=${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}.in
            -o ${DESKTOP_FILE}
            -d ${CMAKE_SOURCE_DIR}/po
)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}
        DESTINATION ${CMAKE_INSTALL_DATADIR}/applications
)

install(FILES ${LOMIRI_MEDIAPLAYER_APP_ICON} ${LOMIRI_MEDIAPLAYER_APP_SPLASH} ${LOMIRI_MEDIAPLAYER_APP_SYMBOLIC_ICON}
        DESTINATION ${MEDIAPLAYER_DIR}
)

install(FILES ${LOMIRI_MEDIAPLAYER_URL_DISPATCHER}
        DESTINATION ${CMAKE_INSTALL_DATADIR}/lomiri-url-dispatcher/urls
)

install(FILES ${LOMIRI_MEDIAPLAYER_CONTENT_HUB}
        DESTINATION ${CMAKE_INSTALL_DATADIR}/lomiri-content-hub/peers
        RENAME lomiri-mediaplayer-app)

=== sdk/CMakeLists.txt ===
project(sdkhelper)

set(sdkhelper_HDRS
    sharefile.h)

set(sdkhelper_SRCS
    sharefile.cpp)

add_library(sdkhelper STATIC
    ${sdkhelper_SRCS})

qt5_use_modules(sdkhelper Core)

=== tests/videos/CMakeLists.txt ===
project(sample_videos)

set(MEDIAPLAYER_TEST_VIDEOS small.ogg small.wmv h264.avi)

install(FILES ${MEDIAPLAYER_TEST_VIDEOS}
    DESTINATION ${CMAKE_INSTALL_DATADIR}/lomiri-mediaplayer-app/videos
    )

=== debian/changelog ===
lomiri-mediaplayer-app (1.1.0+dfsg-3) unstable; urgency=medium

  * debian/control:
    + Add to B-D:/D: libmpris-qt5-dev (build-time) and qml-module-org-
      nemomobile-mpris (runtime).
  * debian/patches:
    + Add 1001_embedded-mpris-support.patch. Provide embedded MPRIS support,
      so mediaplayer app can dock its controls into the sound indicator
      without the need of media-hub being installed on the system.
  * debian/rules:
    + Build with embedded MPRIS support enabled.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 02 Dec 2024 15:00:21 +0100

lomiri-mediaplayer-app (1.1.0+dfsg-2) unstable; urgency=medium

  * debian/:
    + Enable user-session-migration debhelper feature.
    + Add user-session-migration script lomiri-mediaplayer-app_01_update-
      content-hub.sh.
  * debian/control:
    + In B-D, switch from pkg-config to pkgconf.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 13 Sep 2024 10:11:07 +0200

lomiri-mediaplayer-app (1.1.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Rebase 2001_skip-autopilot-tests.patch.
  * debian/:
    + Adjust to new upstream source URL.
  * debian/lomiri-mediaplayer-app-common.install:
    + Adjust to namespace renamings.
  * debian/rules:
    + Amend path of CMakeLists.txt file removal.
  * debian/control:
    + Bump Standards-Version to 4.7.0. No changes needed.
  * debian/watch:
    + Update file for recent GitLab changes of the tags overview page.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 12 Sep 2024 12:06:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: lomiri-mediaplayer-app
 Section: video
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>,
            Marius Gripsgard <marius@ubports.com>,
 Build-Depends: cmake,
                debhelper-compat (= 13),
+               dh-user-session-migration,
                libgl-dev,
                libgles2-mesa-dev,
-               pkg-config,
+               libmpris-qt5-dev,
+               pkgconf,
                python3:any,
                qtbase5-dev,
                qtdeclarative5-dev,
@@ -25,9 +26,9 @@
                xauth,
                xvfb,
                gstreamer1.0-plugins-base,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Homepage: https://gitlab.com/ubports/development/core/mediaplayer-app
+Homepage: https://gitlab.com/ubports/development/core/lomiri-mediaplayer-app
 Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-mediaplayer-app.git
 Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-mediaplayer-app
 
@@ -39,6 +40,7 @@
          qml-module-lomiri-action,
          qml-module-lomiri-content,
          qml-module-lomiri-components,
+         qml-module-org-nemomobile-mpris,
          qml-module-qtmultimedia,
          qml-module-qtquick-window2,
          qml-module-qtquick-xmllistmodel,

=== debian/rules ===
--- 
+++ 
@@ -6,13 +6,17 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@
+	dh $@ --with user-session-migration
+
+override_dh_auto_configure:
+	dh_auto_configure -- -DADD_MPRIS=ON             \
+	                     $(NULL)
 
 override_dh_missing:
 	dh_missing --fail-missing
 
 override_dh_install:
-	rm debian/tmp/usr/share/mediaplayer-app/qml/CMakeLists.txt
+	rm debian/tmp/usr/share/lomiri-mediaplayer-app/qml/CMakeLists.txt
 	dh_install
 
 get-orig-source:

## lomiri-mediaplayer-app 1.1.1%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,15 @@
 export DPKG_GENSYMBOLS_CHECK_LEVEL=1
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+# Skip tests on s390x. The QML unittests crash with floating point exception.
+# Pretty sure that is not a problem of lomiri-media-player app. For all other
+# architectures in Debian, lomiri-mediaplayer-app builds successfully.
+testskip_architectures := s390x
+
+# Also skip tests on mips64el. There we get a segmentation fault in QML
+# unittests. Probably a similar problem.
+testskip_architectures += mips64el
 
 %:
 	dh $@ --with user-session-migration
@@ -19,5 +28,12 @@
 	rm debian/tmp/usr/share/lomiri-mediaplayer-app/qml/CMakeLists.txt
 	dh_install
 
+override_dh_auto_test:
+ifneq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(testskip_architectures)))
+	dh_auto_test
+else
+	-dh_auto_test
+endif
+
 get-orig-source:
 	uscan --noconf --force-download --rename --download-current-version --destdir=..

## lomiri-mediaplayer-app 1.1.1+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-mediaplayer-app VERSION 1.1.0 LANGUAGES CXX)
+project(lomiri-mediaplayer-app VERSION 1.1.1 LANGUAGES CXX)
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 
 # Find includes in corresponding build directories
@@ -43,11 +43,14 @@
 # Tests
 option(USE_XVFB "Use XVFB to run qml tests" on)
 option(ENABLE_AUTOPILOT "Build autopilot tests" off)
-enable_testing()
+
+include(CTest)
 
 add_subdirectory(data)
 add_subdirectory(src)
-add_subdirectory(tests)
+if(BUILD_TESTING)
+    add_subdirectory(tests)
+endif()
 add_subdirectory(po)
 
 configure_file(config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h @ONLY)

=== po/CMakeLists.txt ===
find_program(GETTEXT_XGETTEXT_EXECUTABLE xgettext)

set(DOMAIN ${PROJECT_NAME})
set(POT_FILE ${DOMAIN}.pot)

file(STRINGS ${CMAKE_CURRENT_SOURCE_DIR}/LINGUAS LINGUAS
     REGEX "^[^#].*")
string(REGEX MATCHALL "[^ \t]+" LANGS "${LINGUAS}")

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/POTFILES.in
               ${CMAKE_CURRENT_BINARY_DIR}/POTFILES COPYONLY
)

# Creates the .pot file containing the translations template
add_custom_target(${POT_FILE} ALL
                  COMMENT "Generating translation template"
                  # Extract the translatable messages from the desktop file
                  COMMAND ${GETTEXT_XGETTEXT_EXECUTABLE} -o ${POT_FILE}
                          --from-code=UTF-8
                          --language=Desktop
                          --package-name='${GETTEXT_PACKAGE}'
                          --copyright-holder='Canonical Ltd.'
                          -D ${CMAKE_BINARY_DIR}/data
                          ${DESKTOP_FILE}.in
                  COMMAND ${GETTEXT_XGETTEXT_EXECUTABLE} -o ${POT_FILE}
                          --from-code=UTF-8
                          --c++
                          --qt
                          --add-comments=TRANSLATORS
                          --keyword=tr
                          --keyword=tr:1,2
                          --keyword=N_
                          --package-name='${PROJECT_NAME}'
                          --copyright-holder='Canonical Ltd.'
                          -D ${CMAKE_SOURCE_DIR}
                          -D ${CMAKE_CURRENT_SOURCE_DIR}
                          -D ${CMAKE_CURRENT_BINARY_DIR}
                          --join-existing
                          --files-from=${CMAKE_CURRENT_BINARY_DIR}/POTFILES)

foreach(LANG ${LANGS})
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/${LANG}.po
                   ${CMAKE_CURRENT_BINARY_DIR}/${LANG}.po
                   COPYONLY)
endforeach(LANG)
gettext_process_pot_file(${POT_FILE} ALL
                         INSTALL_DESTINATION ${CMAKE_INSTALL_LOCALEDIR}
                         LANGUAGES ${LANGS})

=== tests/CMakeLists.txt ===
add_subdirectory(videos)
add_subdirectory(images)
add_subdirectory(unittest)
if (ENABLE_AUTOPILOT)
    add_subdirectory(autopilot)
endif (ENABLE_AUTOPILOT)

=== src/qml/CMakeLists.txt ===
# make the files visible on qtcreator
file(GLOB_RECURSE QML_JS_FILES *.js *.qml)
add_custom_target(lomiri_mediaplayer_app_QmlFiles ALL SOURCES ${QML_JS_FILES})

=== tests/unittest/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,6 @@
 find_program(QMLTESTRUNNER_BIN
     NAMES qmltestrunner
     PATHS /usr/lib/*/qt5/bin
-    NO_DEFAULT_PATH
 )
 
 find_program(XVFB_RUN_BIN

=== debian/changelog ===
lomiri-mediaplayer-app (1.1.1+dfsg-3) unstable; urgency=medium

  * debian/rules:
    + Also skip unit tests on mips64el architecture. There we get segmentation
      faults in QML unit tests. Very likely not a problem in lomiri-mediaplayer-
      app.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 12 Jun 2025 00:29:45 +0200

lomiri-mediaplayer-app (1.1.1+dfsg-2) unstable; urgency=medium

  * debian/rules:
    + Skip unit tests on s390x architecture. The observed floating point
      exceptions (only on s390x) are very likely not being related to
      lomiri-media-app itself nor its unit tests. (Closes: #1107651).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 11 Jun 2025 23:15:20 +0200

lomiri-mediaplayer-app (1.1.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Add 2002_dont-stop-playback-on-loff-of-focus-if-lomiri-is-running-in-
      windowed-mode.patch. rc/qml/player.qml: Don't stop playback on loss of
      focus if Lomiri is running in windowed mode.
    + Add 2003_hide-app-if-not-in-lomiri.patch.
    + Trivially rebase 1001_embedded-mpris-support.patch.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/copyright:
    + Fix FSF mailing address.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 May 2025 17:15:34 +0200

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
                xauth,
                xvfb,
                gstreamer1.0-plugins-base,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/core/lomiri-mediaplayer-app
 Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-mediaplayer-app.git

=== debian/watch ===
version=4
opts="searchmode=plain, repacksuffix=+dfsg, dversionmangle=s/\+dfsg//" \
https://gitlab.com/ubports/development/core/@PACKAGE@/tags?sort=updated_desc -/archive/v?\d[\d.]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
